## python-xarray 2024.02.0

=== xarray/datatree_/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html rtdhtml dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  rtdhtml    Build html using same settings used on ReadtheDocs"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

rtdhtml:
	$(SPHINXBUILD) -T -j auto -E -W --keep-going -b html -d $(BUILDDIR)/doctrees -D language=en . $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/complexity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/complexity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/complexity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/complexity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-xarray (2024.02.0-2) unstable; urgency=medium

  * Also disable autopkgtests until pytest > 8 supported

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Mar 2024 07:59:04 +0000

python-xarray (2024.02.0-1) unstable; urgency=medium

  * New upstream release
  * Stop tests for this release; needs to be updated for pytest >= 8.0
  * Undo "nocheck"  to reenable testing; only run tests on python3.12
  * conflict with -datatree until tests pass
  * Drop ARM-xfail patch as integrated upstream
  * Drop xfail-pad-constant patch as now passes
  * Drop xfail-on-random.patch, closed upstream
  * Add Build-depends on python3-zarr
  * Build-depend on python3-sphinx-inline-tabs
  * Build-depend on python3-hypothesis for testing, +docs
  * disable-netcdf-compressor-tests.patch:
    Disable testing of functionality not yet present in Debian
  * disable-stripped-unitwarning-test.patch:
    Disable units-testing as broken test on python3.12
  * Update use-packaged-docs.patch
  * Skip 2 tests requiring download
  * Drop Build-deps on numba, python3-sparse to aid transition
  * dask-gradient-tolerance-i386.patch: Fix for tolerance problem
    comparing arrays on i386 (C-I failure)
  * xfail-pint-units-on-python3.12.patch: On python3.12, tests fail as
    extract_units() in test code is buggy with current pint.
    Mark tests XFAIL
  * Make cfgrib build-dep arch-dependent; needed for c-i tests as
    we cfgrib not present on 32-bit archs
  * Build-conflict with pint < 0.21 as it breaks, failing to handle
    'subok' passed in dask wrapping
  * Build-conflict on python3-sparse to signal that it currently causes
    segfaults (#1055847) - re-add later
  * Docs disabled as sphinx needs pandoc < 3 right now

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Mar 2024 10:05:17 +0000

python-xarray (2023.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 13:16:18 +0000

python-xarray (2023.11.0-2) unstable; urgency=medium

  * Team upload.
  * Tests: fix another failure on big-endian systems,
    allow stderr output.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Nov 2023 22:17:40 +0000

python-xarray (2023.11.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version. Closes: #1050854
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Re-enable docs which do not segfault but do nothing else.  Upstream might
    provide docs in future - otherwise the python-xarray-doc package could be
    dropped completely.

  [ Rebecca N. Palmer ]
  * Tests: ignore rounding differences on i386.  Closes: #1004869.
  * Tests: don't fail on big-endian systems.  Closes: #1053700.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2023 07:37:01 +0100

python-xarray (2023.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2023 09:38:50 +0100

python-xarray (2023.09.0-2) unstable; urgency=medium

  * Build-dep on python3-setuptools-scm, whl; needed for more complete install

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Sep 2023 12:59:54 +0100

python-xarray (2023.09.0-1) unstable; urgency=medium

  * New upstream release
  * Disable building docs as Sphinx segfaults

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Sep 2023 09:15:25 +0100

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
 Alastair McKinstry <mckinstry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
	       dh-sequence-sphinxdoc,
               python3-setuptools,
               python3-setuptools-scm,
	       python3-setuptools-whl,
               python3-pip,
               python3-pooch,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
	       python-dask-doc <!nodoc>,
               python3-all,
	       python3-cfgrib [!i386 !armel !armhf !hurd-i386],
	       python3-zarr,
	       python3-h5netcdf <!nocheck>,
	       python3-toolz,
	       python3-cloudpickle,
	       python3-flake8,
               python3-hypothesis <!nocheck>,
	       python-hypothesis-doc <!nodoc>,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask <!nocheck> <!nodoc>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy <!nocheck> <!nodoc>,
               python3-numpydoc <!nocheck> <!nodoc>,
               python3-pandas <!nocheck> <!nodoc>,
               python3-pytest <!nocheck>,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
	       python3-nbsphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
	       python3-sphinx-inline-tabs <!nodoc>,
               sphinx-common,
	       pandoc,
	       ipython3,
               python3-ipython-genutils,
		python3-jupyter-console,
		python3-jupyter-core,
		python3-jupyter-client,
		python3-packaging
Build-Conflicts: python3-pint (<= 0.21~1), 
		python3-sparse,
	        python3-xarray-datatree
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: https://xarray.pydata.org/
Rules-Requires-Root: no

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas,
         python3-jinja2,
         python3-packaging
Recommends: python3-bottleneck,
            python3-dask,
	    python3-cftime,
            python3-netcdf4,
            python3-rasterio,
	    python3-h5netcdf,
	    python3-zarr
Suggests: python-xarray-doc <!nodoc>,
          python3-cartopy,
          python3-matplotlib,
          python3-pydap,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

# Disable  for this release:
# - docs needs sphinx < 3
# - tests need pytest < 8
DEB_BUILD_OPTIONS +=  nodoc nocheck

export PYDEVD_DISABLE_FILE_VALIDATION=1

# Needed for pooch temp data directory
export env=/tmp/pooch

%:
	dh $@  --buildsystem=pybuild --with python3

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
	find debian -name  test.nc -delete 

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml doc doc/_build/html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#for p in $(PY3VERS); do \
	#	PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
	#	pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
	#	done
	# Tests fail for 3.11, but we ship 3.12 in trixie
	python3.12 -m pytest .
	## cleanup after tests
	#find .  -name 'tmp.zarr*' -delete
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done
endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in python3.12 
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py (DISABLED UNTIL PYTEST  UPDATED):"
 ; echo $py -m pytest -v --pyargs xarray
 ; done
Restrictions: allow-stderr
Depends: python3-all,
         python3-pytest (>= 2.7.1),
         python3-xarray,
	 python3-bottleneck,
         python3-dask (>= 2.8.1+dfsg),
         python3-netcdf4,
         python3-scipy,
         python3-matplotlib,
	 python3-cftime,
         python3-rasterio

## python-xarray 2024.03.0

=== debian/changelog ===
python-xarray (2024.03.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable docs
  * Build-dep on new python3-sphinx-copybutton, python3-sphinxext-rediraffe,
    python3-sphinxext-opengraph, python3-sphinx-design, 
    python3-sphinx-book-theme 
  * Drop no-sphinx-* patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Mar 2024 08:17:40 +0100

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,12 @@
 	       python3-nbsphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+	       python3-sphinxext-opengraph  <!nodoc>,
+	       python3-sphinxext-rediraffe <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
 	       python3-sphinx-inline-tabs <!nodoc>,
+	       python3-sphinx-design <!nodoc>,
+ 	        python3-sphinx-book-theme <!nodoc>,
                sphinx-common,
 	       pandoc,
 	       ipython3,

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 PY3VERS:= $(shell py3versions -s)
 
 # Disable  for this release:
-# - docs needs sphinx < 3
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nodoc nocheck
+DEB_BUILD_OPTIONS +=  nocheck nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1

## python-xarray 2024.07.0

=== debian/changelog ===
python-xarray (2024.07.0-2) unstable; urgency=medium

  * Team Upload
  * Remove obsolete python3-ipython-genutils from build-dep
  * Apply Multi-Arch hint

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Sep 2024 07:59:39 +0200

python-xarray (2024.07.0-1) unstable; urgency=medium

  * New upstream release
  * Now B-D on python3-sphinxcontrib-mermaid
  * Build-Conflict: on python3-pytest-lazy-fixture until tests updated
    for pytest 8. Closes: #1063981
  * Annotate python3-cfgrib as <!nocheck>. Closes: #1078351

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Aug 2024 09:30:21 +0100

python-xarray (2024.06.0-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0; no changes required
  * Re-enable docs, deleting __pycache__ from install

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jun 2024 09:22:17 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
                python-pandas-doc <!nodoc>,
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
+	       python3-sphinxcontrib-mermaid <!nodoc>,
                python3-all,
-	       python3-cfgrib [!i386 !armel !armhf !hurd-i386],
+	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,
 	       python3-h5netcdf <!nocheck>,
 	       python3-toolz,
@@ -50,15 +51,15 @@
                sphinx-common,
 	       pandoc,
 	       ipython3,
-               python3-ipython-genutils,
 		python3-jupyter-console,
 		python3-jupyter-core,
 		python3-jupyter-client,
 		python3-packaging
 Build-Conflicts: python3-pint (<= 0.21~1), 
+                python3-pytest-lazy-fixture,
 		python3-sparse,
 	        python3-xarray-datatree
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: https://xarray.pydata.org/
@@ -99,6 +100,7 @@
 
 Package: python-xarray-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},

## python-xarray 2024.09.0

=== debian/changelog ===
python-xarray (2024.09.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch 1053700-endianness.patch ; resolved upstream
  * B-D on python3-sphinx-remove-toctrees

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Sep 2024 06:35:29 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                python-scipy-doc <!nodoc>,
 	       python-dask-doc <!nodoc>,
 	       python3-sphinxcontrib-mermaid <!nodoc>,
+	       python3-sphinx-remove-toctrees <!nodoc>,
                python3-all,
 	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nocheck nodoc
+DEB_BUILD_OPTIONS +=  nocheck 
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1

## python-xarray 2025.01.1

=== debian/changelog ===
python-xarray (2025.01.1-1) unstable; urgency=medium

  * New upstream release
  * Enable tests for all pythons; catch but dont fail. Closes: #1092392

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Jan 2025 13:21:13 +0000

python-xarray (2025.01.0-1) unstable; urgency=medium

  * New upstream release
  * Drop B-D on numba-doc, buggy. Closes: #1088982
  * Doc generation still disabled

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jan 2025 10:36:20 +0000

python-xarray (2024.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Dec 2024 08:26:32 +0000

python-xarray (2024.10.0-1) experimental; urgency=medium

  * New upstream release
  * Remove obsolete patches:
    - no-sphinx-design.patch
    - no-sphinxext.patch
    - skip-datatree.patch
  * Disable test for experimental release:
    - disable-netcdf-roundtrip-tests.patch
  * B-D on python3-pydata-sphinx-theme
  * No objects.inv available for scipy
  * Building docs fails - disable for this  release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Nov 2024 11:44:39 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nocheck 
+DEB_BUILD_OPTIONS +=  nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
 
@@ -38,14 +38,12 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	#for p in $(PY3VERS); do \
-	#	PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
-	#	pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
-	#	done
-	# Tests fail for 3.11, but we ship 3.12 in trixie
-	python3.12 -m pytest .
-	## cleanup after tests
-	#find .  -name 'tmp.zarr*' -delete
+	for p in $(PY3VERS); do \
+		PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
+		( pybuild --test --test-pytest -i $$p -p $$PY3VERNUM || true) ;  \
+		done
+	# cleanup after tests
+	find .  -name 'tmp.zarr*' -delete
 endif
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))

## python-xarray 2025.01.2

=== debian/changelog ===
python-xarray (2025.01.2-1) unstable; urgency=medium

  * New upstream release
  * Disable sphinx-theme, re-enable docs

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Feb 2025 11:36:57 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	       python-dask-doc <!nodoc>,
 	       python3-sphinxcontrib-mermaid <!nodoc>,
 	       python3-sphinx-remove-toctrees <!nodoc>,
+	       python3-autodocsumm <!nodoc>,
                python3-all,
 	       python3-cfgrib [!i386 !armel !armhf !hurd-i386] <!nocheck>,
 	       python3-zarr,
@@ -26,6 +27,7 @@
 	       python3-flake8,
                python3-hypothesis <!nocheck>,
 	       python-hypothesis-doc <!nodoc>,
+               python-dask-doc <!nodoc>,
                python3-doc <!nodoc>,
                python3-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
@@ -49,6 +51,7 @@
 	       python3-sphinx-inline-tabs <!nodoc>,
 	       python3-sphinx-design <!nodoc>,
  	        python3-sphinx-book-theme <!nodoc>,
+               python3-pydata-sphinx-theme <!nodoc>,
                sphinx-common,
 	       pandoc,
 	       ipython3,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Disable  for this release:
 # - tests need pytest < 8
-DEB_BUILD_OPTIONS +=  nodoc
+# DEB_BUILD_OPTIONS +=  nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  ; echo $py -m pytest -v --pyargs xarray
  ; done
 Restrictions: allow-stderr
+Conflicts:  python3-pytest-lazy-fixture
 Depends: python3-all,
          python3-pytest (>= 2.7.1),
          python3-xarray,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
  filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/xarray-$1\.tar\.gz/ \
  https://github.com/pydata/xarray/tags .*/v?@ANY_VERSION@\.tar\.gz

## python-xarray 2025.03.1

=== debian/changelog ===
python-xarray (2025.03.1-8) unstable; urgency=medium

  * Team upload
  * Fix architecture determination in autopkgtest

 -- Julian Gilbey <jdg@debian.org>  Mon, 05 May 2025 10:04:03 +0100

python-xarray (2025.03.1-7) unstable; urgency=medium

  * Team upload
  * Fix one more excluded test name for 32-bit archs

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 21:00:12 +0100

python-xarray (2025.03.1-6) unstable; urgency=medium

  * Team upload
  * Fix syntax of pytest nodes

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 18:43:40 +0100

python-xarray (2025.03.1-5) unstable; urgency=medium

  * Team upload
  * Skip failing tests using PYBUILD_TEST_ARGS so they are skipped at both
    build and autopkgtest time (closes: #1104151)

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 May 2025 13:53:03 +0100

python-xarray (2025.03.1-4) unstable; urgency=medium

  * Team upload
  * Push to unstable

 -- Julian Gilbey <jdg@debian.org>  Mon, 28 Apr 2025 06:43:27 +0100

python-xarray (2025.03.1-3) experimental; urgency=medium

  * Ensure actual d/rules change commited

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Apr 2025 14:55:07 +0100

python-xarray (2025.03.1-2) experimental; urgency=medium

  * Disable cfgrib, cftime on 32-bit and big-endian archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Apr 2025 14:12:47 +0100

python-xarray (2025.03.1-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on tzdata-legacy for tests.
  * Drop superfluous d/copyright entries

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Apr 2025 15:50:42 +0100

python-xarray (2025.03.0-2) unstable; urgency=medium

  * Fix autopkgtest build issue. Thanks Antionio Valentino

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Mar 2025 09:29:46 +0100

python-xarray (2025.03.0-1) unstable; urgency=medium

  * New upstream release
  * Now need mypy, python3-pytest-mypy for testing
  * Build-dep on pint for more tests
  * Standards-Version: 4.7.2
  * import-pytest.patch - fix errors on missing import
  * 2 more dask tests labeled xfail
	
 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Mar 2025 13:04:52 +0000

python-xarray (2025.01.2-2) unstable; urgency=medium

  * Team upload.
  * Upstream release 2025.01.2. Closes: #1100293

  [ Michael R. Crusoe ]
  * Switch to PEP-517 building and testing with pybuild. Closes: #1053718
  * refresh patches
  * d/rules: only skip known failing tests, not allowing all tests to fail.
  * Run the tests in parallel using pytest-xdist; report skipped tests.

  [ Alastair McKinstry ]
  * Update metadata

 -- Bastian Germann <bage@debian.org>  Mon, 24 Mar 2025 00:31:19 +0100

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
           Alastair McKinstry <mckinstry@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pip <!nodoc>,
               python3-pooch,
               python-pandas-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-dask-doc <!nodoc>,
               python3-sphinxcontrib-mermaid <!nodoc>,
               python3-sphinx-remove-toctrees <!nodoc>,
               python3-autodocsumm <!nodoc>,
               python3-all,
               python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
               python3-zarr (>= 3.0.6-2),
               python3-h5netcdf <!nocheck>,
               python3-toolz <!nocheck>,
               python3-pickleshare <!nodoc>,
               python3-hypothesis <!nocheck>,
               python-hypothesis-doc <!nodoc>,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask <!nocheck> <!nodoc>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy,
               python3-numpydoc <!nocheck> <!nodoc>,
               python3-pandas,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
	       python3-pytest-mypy <!nocheck>,
               mypy <!nocheck>,
	       tzdata-legacy <!nocheck>,
	       python3-pint <!nocheck>,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-sphinx-gallery <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxext-opengraph  <!nodoc>,
               python3-sphinxext-rediraffe <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-inline-tabs <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-book-theme <!nodoc>,
               python3-pydata-sphinx-theme <!nodoc>,
               pandoc <!nodoc>,
               ipython3 <!nodoc>,
               python3-jupyter-console <!nodoc>,
               python3-jupyter-core <!nodoc>,
               python3-jupyter-client <!nodoc>,
               python3-packaging
Build-Conflicts: python3-pint (<= 0.21~1),
                 python3-pytest-lazy-fixture,
                 python3-sparse,
                 python3-xarray-datatree
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
Homepage: https://xarray.pydata.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-pandas,
         python3-jinja2,
         python3-packaging
Recommends: python3-bottleneck,
            python3-dask,
            python3-cftime,
            python3-netcdf4,
            python3-rasterio,
            python3-h5netcdf,
            python3-zarr
Suggests: python-xarray-doc <!nodoc>,
          python3-cartopy,
          python3-matplotlib,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-requirejs
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Path to tests differs for pybuild and autopkgtest environments
# Architecture determination also differs.
ifeq ($(PYBUILD_AUTOPKGTEST),1)
TESTPATH := tests
TESTARCH := $(shell dpkg --print-architecture)
else
TESTPATH := xarray/tests
include /usr/share/dpkg/buildflags.mk
TESTARCH := $(DEB_TARGET_ARCH)
endif

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

# Disable  for this release:
# - tests need pytest < 8
# DEB_BUILD_OPTIONS += nodoc

export PYDEVD_DISABLE_FILE_VALIDATION=1

# Needed for pooch temp data directory
export env=/tmp/pooch

export MPLCONFIGDIR=$(CURDIR)/debian/build
export HOME=$(CURDIR)/debian/build

# Stop parallel tests,, broken for some reason?
# export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray

export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr --deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims --deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset --deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask --pyargs xarray

# Some tests fail on 32-bit archs; skip those tests
BIT32_ARCH := i386 armel armhf
ifneq (,$(filter $(TESTARCH), $(BIT32_ARCH)))
export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 --deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) --deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
endif

# And a couple of further failures on i386
ifeq (i386,$(TESTARCH))
export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_groupby.py::test_groupby_reduce_dimension_error --deselect=$(TESTPATH)/test_groupby.py::TestDataArrayGroupBy::test_groupby_reduce_keep_attrs $(PYBUILD_TEST_ARGS)
endif

%:
	dh $@  --buildsystem=pybuild

execute_after_dh_auto_clean:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
	find debian -name  test.nc -delete 

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml doc doc/_build/html
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done
endif

## python-xarray 2025.04.0

=== debian/changelog ===
python-xarray (2025.04.0-1) experimental; urgency=medium

  * New upstream release
  * Build-dep on python3-juptyer-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 May 2025 11:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,10 @@
                python3-sphinxcontrib-mermaid <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-autodocsumm <!nodoc>,
+	       python3-jupyter-sphinx <!nodoc>,
                python3-all,
                python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
-               python3-zarr (>= 3.0.6-2),
+               python3-zarr,
                python3-h5netcdf <!nocheck>,
                python3-toolz <!nocheck>,
                python3-pickleshare <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

# Disable  for this release:
# - tests need pytest < 8
# DEB_BUILD_OPTIONS +=  nodoc

# cftime, cfgrib fail on 32-bit and big-endian archs. Don't test there
NO_CF_ARCH:= i386 armel armhf s390x
DEB_BUILD_OPTIONS +=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CF_ARCH)),  nocheck,  )

export PYDEVD_DISABLE_FILE_VALIDATION=1

# Needed for pooch temp data directory
export env=/tmp/pooch

export MPLCONFIGDIR=$(CURDIR)/debian/build
export HOME=$(CURDIR)/debian/build

# Stop parallel tests,, broken for some reason?
# export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray

export PYBUILD_TEST_ARGS=-k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims or test_zarr_region_chunk_partial_offset or test_chunk_encoding_with_dask)' --pyargs xarray

%:
	dh $@  --buildsystem=pybuild

execute_after_dh_auto_clean:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C doc clean
endif

execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
	find debian -name  test.nc -delete 

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml doc doc/_build/html
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	ln -s /usr/lib/python3/dist-packages/jupyter_sphinx/thebelab/thebelab-helper.js \
		debian/python-xarray-doc/usr/share/doc/python-xarray-doc/html/_static
	dh_sphinxdoc --exclude=MathJax.js
	find debian/python-xarray-doc -name '*.html' \
	 -exec grep require.js {} /dev/null \; | cut -f1 -d: | while read r; do \
	sed -e 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4% file:/usr/share/javascript/requirejs%' \
	< $$r > debian/tmp/x ; \
	mv debian/tmp/x $$r ; \
	done
endif

## python-xarray 2025.08.0

=== debian/changelog ===
python-xarray (2025.08.0-3) unstable; urgency=medium

  * Team upload.
  * Added patch to workaround slow debci runners.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Sep 2025 16:05:37 +0200

python-xarray (2025.08.0-2) unstable; urgency=medium

  * Team upload.
  * pybuild-autopkgtest: skip on 32-bits archs, they are unsupported.
  * d/rules: resume running the tests in parallel using
    DEB_BUILD_OPTION_PARALLEL
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Set upstream metadata fields: Documentation, Repository.
  * Remove unused license definitions for Python-2.0, BSD-3-Clause.
  * Fix day-of-week for changelog entry 2024.07.0-1.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 02 Sep 2025 21:14:38 +0200

python-xarray (2025.08.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1110804
  * B-D on pytest3-asyncio, drop sparse again for now
  * Drop zarr support this release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 09:14:38 +0100

python-xarray (2025.06.1-1) experimental; urgency=medium

  * New upstream release
  * No longer conflict with python3-sparse, instead build-depend
  * Add docs for hypothesis, matplotlib, zarr
  * Don't build docs for this release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 15 Jun 2025 10:37:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
            Alastair McKinstry <mckinstry@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -18,10 +19,9 @@
                python3-sphinxcontrib-mermaid <!nodoc>,
                python3-sphinx-remove-toctrees <!nodoc>,
                python3-autodocsumm <!nodoc>,
-	       python3-jupyter-sphinx <!nodoc>,
+               python3-jupyter-sphinx <!nodoc>,
                python3-all,
                python3-cfgrib [!i386 !armel !armhf !hurd-i386 !s390x] <!nocheck>,
-               python3-zarr,
                python3-h5netcdf <!nocheck>,
                python3-toolz <!nocheck>,
                python3-pickleshare <!nodoc>,
@@ -33,16 +33,19 @@
                python3-dask <!nocheck> <!nodoc>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
+               python-matplotlib-doc <!nocheck> <!nodoc>,
+	       python-hypothesis-doc <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy,
                python3-numpydoc <!nocheck> <!nodoc>,
                python3-pandas,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-	       python3-pytest-mypy <!nocheck>,
+               python3-pytest-mypy <!nocheck>,
                mypy <!nocheck>,
-	       tzdata-legacy <!nocheck>,
-	       python3-pint <!nocheck>,
+               tzdata-legacy <!nocheck>,
+               python3-pint <!nocheck>,
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
@@ -64,14 +67,12 @@
                python3-packaging
 Build-Conflicts: python3-pint (<= 0.21~1),
                  python3-pytest-lazy-fixture,
-                 python3-sparse,
                  python3-xarray-datatree
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: https://xarray.pydata.org/
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xarray
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,25 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+include /usr/share/dpkg/buildopts.mk
+
+# Path to tests differs for pybuild and autopkgtest environments
+# Architecture determination also differs.
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+TESTPATH := tests
+TESTARCH := $(shell dpkg --print-architecture)
+else
+TESTPATH := xarray/tests
 include /usr/share/dpkg/buildflags.mk
+TESTARCH := $(DEB_TARGET_ARCH)
+endif
 
 export PYBUILD_NAME=xarray
 PY3VERS:= $(shell py3versions -s)
 
 # Disable  for this release:
 # - tests need pytest < 8
-# DEB_BUILD_OPTIONS +=  nodoc
-
-# cftime, cfgrib fail on 32-bit and big-endian archs. Don't test there
-NO_CF_ARCH:= i386 armel armhf s390x
-DEB_BUILD_OPTIONS +=     $(if $(filter $(DEB_TARGET_ARCH), $(NO_CF_ARCH)),  nocheck,  )
+DEB_BUILD_OPTIONS += nodoc
 
 export PYDEVD_DISABLE_FILE_VALIDATION=1
 
@@ -27,7 +34,19 @@
 # Stop parallel tests,, broken for some reason?
 # export PYBUILD_TEST_ARGS=-r fEs -n auto -k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims)' --pyargs xarray
 
-export PYBUILD_TEST_ARGS=-k 'not (test_weighted_operations_keep_attr or test_reduce_keepdims or test_zarr_region_chunk_partial_offset or test_chunk_encoding_with_dask)' --pyargs xarray
+export PYBUILD_TEST_ARGS := $(DEB_BUILD_OPTION_PARALLEL:%=-n%) --deselect=$(TESTPATH)/test_weighted.py::test_weighted_operations_keep_attr --deselect=$(TESTPATH)/test_variable.py::TestVariable::test_reduce_keepdims --deselect=$(TESTPATH)/test_backends.py::test_zarr_region_chunk_partial_offset --deselect=$(TESTPATH)/test_backends.py::test_chunk_encoding_with_dask --pyargs xarray
+
+# Some tests fail on 32-bit archs; skip those tests
+BIT32_ARCH := i386 armel armhf
+ifneq (,$(filter $(TESTARCH), $(BIT32_ARCH)))
+export PYBUILD_DISABLE_python3=test
+export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_cftimeindex.py::test_asi8 --deselect=$(TESTPATH)/test_datatree.py::TestRepr::test_doc_example $(PYBUILD_TEST_ARGS) --deselect=$(TESTPATH)/test_strategies.py::TestReduction::test_mean
+endif
+
+# And a couple of further failures on i386
+ifeq (i386,$(TESTARCH))
+export PYBUILD_TEST_ARGS := --deselect=$(TESTPATH)/test_groupby.py::test_groupby_reduce_dimension_error --deselect=$(TESTPATH)/test_groupby.py::TestDataArrayGroupBy::test_groupby_reduce_keep_attrs $(PYBUILD_TEST_ARGS)
+endif
 
 %:
 	dh $@  --buildsystem=pybuild
@@ -39,7 +58,7 @@
 
 execute_after_dh_auto_install: $(PYTHON3:%=install-python%)
 	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;
-	find debian -name  test.nc -delete 
+	find debian -name  test.nc -delete
 
 override_dh_auto_build:
 	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build

## python-xarray 2025.09.0

=== debian/changelog ===
python-xarray (2025.09.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refreshed patches. Dropped disable-netcdf-roundtrip-tests.patch in
    favor of upstream's fix.
  * d/rules: skip mypy tests, they are only for upstream devs.
    Closes: #1115136, #1115691

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Sep 2025 13:02:51 +0200
